#pragma once
#include "olcPixelGameEngine.h"
#include "olcPGEX_TransformedView.h"
#include "Constant.h"
#include "MemoryType.h"

struct DebuffIcon{
	Renderable*icon;
	Renderable*redXIcon;
	vf2d pos;
	float lifetime=CONSTANT::DEBUFFICON_LIFETIME;
	void Update(float fElapsedTime);
	void Draw(TileTransformedView&game);
};

struct ResourceGainIcon{
	Renderable*icon;
	MemoryType type;
	vf2d pos;
	float lifetime=CONSTANT::DEBUFFICON_LIFETIME;
	void Update(float fElapsedTime);
	void Draw(TileTransformedView&game);
};